#define MAX_EL 1000
int NumEl = 0;

typedef struct {
	char fn[100];
	char name[100];
	char ab[100];
	char col[100];
	char url[100];
	char email[100];
	int moderator;
	int rec[3][23];
	int invalid;
} Elite;

Elite el[MAX_EL];

int elcmp( const void *a, const void *b ) {
	return stricmp(((Elite*)a)->name, ((Elite*)b)->name);
}

void ReadRoster( int pal ) {
	int i;
	char buf[1000];
	char *p;
	FILE *fil;

	NumEl = 0;
	fil = fopen("roster.txt", "r");
	for(;;) {
		memset(el+NumEl, 0, sizeof(Elite));

		fgets(buf, 1000, fil);
		buf[strlen(buf)-1] = 0;
		if( !strcmp(buf, "-1") || feof(fil) ) break;
		if( !buf[0] ) {
			printf( "Error in roster.txt\n" );
			exit(0);
		}
		strcpy( el[NumEl].fn, buf );

		fgets(buf, 1000, fil);
		buf[strlen(buf)-1] = 0;
		strcpy( el[NumEl].name, buf );

		fgets(buf, 1000, fil);
		buf[strlen(buf)-1] = 0;
		strcpy( el[NumEl].ab, buf );

		fgets(buf, 1000, fil);
		buf[strlen(buf)-1] = 0;
		strcpy( el[NumEl].col, buf );

		fgets(buf, 1000, fil);
		buf[strlen(buf)-1] = 0;
		strcpy( el[NumEl].url, buf );

		fgets(buf, 1000, fil);
		buf[strlen(buf)-1] = 0;
		strcpy( el[NumEl].email, buf );

		fgets(buf, 1000, fil);
		buf[strlen(buf)-1] = 0;
		p = buf;
		if( !strncmp( p, "MOD ", 4 ) ) {
			el[NumEl].moderator = 1;
			p += 4;
		}
		if( !pal || !stricmp(p, "PAL") ) NumEl++;
		fgets(buf, 1000, fil);
	}
	fclose(fil);
	qsort(el, NumEl, sizeof(Elite), elcmp);
}
